/*
  AntiRight
  (c) 2002-2004 Jeffrey Bedard
  jefbed@e-list.net
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "library.h"

Widget
antiright_frame(Widget parent, 
		XtArgVal shadow_type)
{
  Widget frame_widget;
  
  antiright_set(XmNshadowType, shadow_type);
  frame_widget=XmCreateFrame(parent,
			     "frame_widget",
			     antiright_arguments,
			     antiright_number_arguments);
  XtManageChild(frame_widget);
  
  return(frame_widget);
}
