/*
  AntiRight
  (c) 2003-2004 Jeffrey Bedard
  jefbed@e-list.net
   
  This file is part of AntiRight.
   
  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
   
  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
   
  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef ARSHELL_UTIL_H
#define ARSHELL_UTIL_H

void
arshell_system_cb(Widget parent_widget,
		  XtPointer client_data,
		  XtPointer call_data);

void
arshell_set_desktop_panel_mode();

void
arshell_update(char* command_string);

void
arshell_update_work_procedure(XtPointer client_data,
			      XtIntervalId* timer_id);

void
arshell_beautify_label(Widget widget, 
		       char* current_argument_string);

void
arshell_row_layout(Widget mainwindow_widget,
		   Widget* row_manager_widget, 
		   Widget* row_widget, 
		   int* row_counter_int,
		   int rows_int);

void
arshell_set_rows(int* counter_int, 
		 char** argv,
		 int* rows_int, 
		 int* row_counter_int);

void
arshell_usage();

Widget
arshell_optioned_button(Widget parent_widget,
			XtCallbackProc callback,
			char* command_string);

#endif /* ARSHELL_UTIL_H */
